IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'TempState'
    WHERE SysObjects.Name = 'ProductTypes'
)
  ALTER TABLE ProductTypes ADD TempState INT NULL 
GO

IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'ConfirmedState'
    WHERE SysObjects.Name = 'ProductTypes'
)
  ALTER TABLE ProductTypes ADD ConfirmedState INT NULL 
GO
